Add patch torque-initd-hangs-rhbz-744138.patch
This commit is contained in:
parent
85bee5423f
commit
377bb2f516
42
torque-create-request.patch
Normal file
42
torque-create-request.patch
Normal file
@ -0,0 +1,42 @@
|
||||
diff -uNr torque-2.5.2.ORIG/contrib/init.d/pbs_server torque-2.5.2/contrib/init.d/pbs_server
|
||||
--- torque-2.5.2.ORIG/contrib/init.d/pbs_server 2010-10-14 22:16:32.978386147 +0200
|
||||
+++ torque-2.5.2/contrib/init.d/pbs_server 2010-10-14 23:01:59.911917744 +0200
|
||||
@@ -25,11 +25,29 @@
|
||||
then
|
||||
daemon $PBS_DAEMON -d $PBS_HOME
|
||||
else
|
||||
+ echo -n "use \"service pbs_server create\"" && failure && echo && exit 5
|
||||
+ fi
|
||||
+ RET=$?
|
||||
+ [ $RET -eq 0 ] && touch /var/lock/subsys/pbs_server
|
||||
+ echo
|
||||
+ ;;
|
||||
+ create)
|
||||
+ echo -n "Creating Torque Server Database:... "
|
||||
+ if [ -r $PBS_HOME/server_priv/serverdb ]
|
||||
+ then
|
||||
+ echo -n "serverdb file allready exists?" && failure && echo && exit 5
|
||||
+ else
|
||||
daemon $PBS_DAEMON -t create -d $PBS_HOME
|
||||
fi
|
||||
RET=$?
|
||||
[ $RET -eq 0 ] && touch /var/lock/subsys/pbs_server
|
||||
echo
|
||||
+ sleep 3
|
||||
+ echo -n "Shutting down TORQUE Server: "
|
||||
+ killproc pbs_server
|
||||
+ RET=$?
|
||||
+ rm -f /var/lock/subsys/pbs_server
|
||||
+ echo
|
||||
;;
|
||||
stop)
|
||||
echo -n "Shutting down TORQUE Server: "
|
||||
@@ -53,7 +71,7 @@
|
||||
echo
|
||||
;;
|
||||
*)
|
||||
- echo "Usage: pbs_server {start|stop|restart|status|reload}"
|
||||
+ echo "Usage: pbs_server {start|stop|restart|status|reload|create}"
|
||||
exit 1
|
||||
esac
|
||||
exit $RET
|
19
torque-initd-hangs-rhbz-744138.patch
Normal file
19
torque-initd-hangs-rhbz-744138.patch
Normal file
@ -0,0 +1,19 @@
|
||||
diff -uNr torque-3.0.2.ORIG/contrib/init.d/pbs_server torque-3.0.2/contrib/init.d/pbs_server
|
||||
--- torque-3.0.2.ORIG/contrib/init.d/pbs_server 2011-10-09 00:09:29.026651535 +0200
|
||||
+++ torque-3.0.2/contrib/init.d/pbs_server 2011-10-09 00:12:05.012653474 +0200
|
||||
@@ -14,13 +14,11 @@
|
||||
echo "Configuration already exists. Please remove $PBS_SERVERDB to create a new one."
|
||||
exit 1
|
||||
fi
|
||||
-
|
||||
$PBS_DAEMON -d $PBS_HOME -t create &
|
||||
- while [ ! -r $PBS_SERVERDB ]; do
|
||||
- sleep 1
|
||||
- done
|
||||
+ sleep 5
|
||||
killproc pbs_server
|
||||
RET=$?
|
||||
+
|
||||
}
|
||||
|
||||
start() {
|
@ -84,7 +84,7 @@
|
||||
Summary: Tera-scale Open-source Resource and QUEue manager
|
||||
Name: %{name}
|
||||
Version: %{version}
|
||||
Release: %{?snap:0.%{release}.%{snap}cvs}%{!?snap:%{release}}%{?dist}.2
|
||||
Release: %{?snap:0.%{release}.%{snap}cvs}%{!?snap:%{release}}%{?dist}.3
|
||||
Source: torque-%{version}%{?snap:-snap.%snap}.tar.gz
|
||||
Source2: xpbs.desktop
|
||||
Source3: xpbsmon.desktop
|
||||
@ -96,6 +96,8 @@ Source7: pbs-config-multilib
|
||||
# https://bugzilla.redhat.com/show_bug.cgi?id=713996
|
||||
Patch0: torque-munge-size.patch
|
||||
|
||||
# https://bugzilla.redhat.com/show_bug.cgi?id=744138
|
||||
Patch2: torque-initd-hangs-rhbz-744138.patch
|
||||
|
||||
License: OpenPBS and TORQUEv1.1
|
||||
Group: System Environment/Daemons
|
||||
@ -128,6 +130,7 @@ This package holds just a few shared files and directories.
|
||||
%prep
|
||||
%setup -q -n torque-%{version}%{?snap:-snap.%snap}
|
||||
%patch0 -p1
|
||||
%patch2 -p1
|
||||
%__install -pm 644 %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5} %{SOURCE6} %{SOURCE7} .
|
||||
|
||||
|
||||
@ -482,6 +485,9 @@ A simple PAM module to authorize users on PBS MOM nodes with a running job.
|
||||
|
||||
|
||||
%changelog
|
||||
* Sun Oct 9 2011 Steve Traylen <steve.traylen@cern.ch> - 2.5.7-2 3
|
||||
- Add patch torque-initd-hangs-rhbz-744138.patch
|
||||
|
||||
* Mon Sep 19 2011 Steve Traylen <steve.traylen@cern.ch> - 2.5.7-2 2
|
||||
- Add --with-tcp-retry-limit=2 to build, rhbz#738576.
|
||||
|
||||
|
Loading…
Reference in New Issue
Block a user